Bug 834298 - 3.1 - [RHEV-M] [RHEV-H6.3] shows VLAN management interface with static IP as configured with DHCP and it cannot be changed [NEEDINFO]
3.1 - [RHEV-M] [RHEV-H6.3] shows VLAN management interface with static IP as ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Dan Kenigsberg
Haim
network
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 09:12 EDT by Martin Pavlik
Modified: 2015-04-06 23:09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 08:40:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ilvovsky: needinfo?


Attachments (Terms of Use)
screenshot 1 (240.74 KB, image/png)
2012-06-21 09:14 EDT, Martin Pavlik
no flags Details
screenshot 2 (255.92 KB, image/png)
2012-06-21 09:15 EDT, Martin Pavlik
no flags Details
logs (271.81 KB, application/x-gzip)
2012-06-21 09:15 EDT, Martin Pavlik
no flags Details
logs2 (4.45 KB, application/x-gzip)
2012-06-21 09:16 EDT, Martin Pavlik
no flags Details
SI7_logs (13.26 KB, application/x-gzip)
2012-06-25 07:15 EDT, Martin Pavlik
no flags Details
IC156_log (151.61 KB, application/x-gzip)
2012-06-25 08:37 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-06-21 09:12:45 EDT
Description of problem:
When RHEV-H configured with static IP over VLAN and it is added to RHEV-M its management interface is displayed as configured with DHCP. (see screenshot). If you try to switch the interface from DHCP to static it does not work. (see logs2 and screenshot2)

Version-Release number of selected component (if applicable):
rhevm 3.0.5

How reproducible:
100%

Steps to Reproduce:
1. Configure VLAN interface with static IP, netmask, GW  on RHEV-H host (I used PXE autoinstall with mentioned parameters included)
2. Add RHEV-H to RHEV-M via the VLAN interface

  
Actual results:
RHEV-M displays interface with static configuration as DHCP configured and it cannot be changed

Expected results:
RHEVM-should display static configured interface correctly and be able to switch it on DHCP configured

Additional info:
vdsm+rhevm logs attached
Comment 1 Martin Pavlik 2012-06-21 09:14:43 EDT
Created attachment 593445 [details]
screenshot 1
Comment 2 Martin Pavlik 2012-06-21 09:15:06 EDT
Created attachment 593446 [details]
screenshot 2
Comment 3 Martin Pavlik 2012-06-21 09:15:59 EDT
Created attachment 593447 [details]
logs
Comment 4 Martin Pavlik 2012-06-21 09:16:24 EDT
Created attachment 593448 [details]
logs2
Comment 5 Martin Pavlik 2012-06-21 09:54:23 EDT
Error from logs2 archive vdsm.log

MainProcess|Thread-458::ERROR::2012-06-21 13:04:01,550::supervdsmServer::32::SuperVdsm.ServerCallback::(wrapper) Error in editNetwork
Traceback (most recent call last):
  File "/usr/share/vdsm/supervdsmServer.py", line 30, in wrapper
  File "/usr/share/vdsm/supervdsmServer.py", line 78, in editNetwork
  File "/usr/share/vdsm/configNetwork.py", line 609, in editNetwork
  File "/usr/share/vdsm/configNetwork.py", line 593, in delNetwork
  File "/usr/share/vdsm/configNetwork.py", line 505, in removeLibvirtNetwork
  File "/usr/lib64/python2.6/logging/__init__.py", line 1489, in debug
  File "/usr/lib64/python2.6/logging/__init__.py", line 1044, in debug
TypeError: _log() got an unexpected keyword argument 'exec_info'
Thread-458::ERROR::2012-06-21 13:04:01,551::clientIF::68::vds::(wrapper) Traceback (most recent call last):
  File "/usr/share/vdsm/clientIF.py", line 58, in wrapper
  File "/usr/share/vdsm/clientIF.py", line 1113, in editNetwork
  File "/usr/share/vdsm/supervdsm.py", line 29, in __call__
  File "/usr/share/vdsm/supervdsm.py", line 27, in <lambda>
  File "<string>", line 2, in editNetwork
  File "/usr/lib64/python2.6/multiprocessing/managers.py", line 740, in _callmethod
TypeError: _log() got an unexpected keyword argument 'exec_info'
Comment 6 Dan Kenigsberg 2012-06-23 11:51:43 EDT
(In reply to comment #5)

>   File "/usr/share/vdsm/configNetwork.py", line 505, in removeLibvirtNetwork
>   File "/usr/lib64/python2.6/logging/__init__.py", line 1489, in debug
>   File "/usr/lib64/python2.6/logging/__init__.py", line 1044, in debug


bahh, how was this missed until now?!

http://gerrit.ovirt.org/5617
Comment 7 Dan Kenigsberg 2012-06-24 08:05:26 EDT
now note that the patch above is not going to solve the bug - only the logging error.

I do not see the quoted error in neither of the logs that you have attached. I do see that it is rhev-3.0's vdsm-113.1. Could this be reproduced with rhev-3.1's vdsm-4.9.6-17 ? Could this be reproduced at all?

Please provide a complete vdsm.log, from the editNetork command until the error.
Comment 8 Dan Kenigsberg 2012-06-24 08:20:51 EDT
(note that this is a recent regression of -113.0, we may need a 3.0.z if this is easily reproducible.)
Comment 9 Martin Pavlik 2012-06-25 07:14:47 EDT
(In reply to comment #7)
> now note that the patch above is not going to solve the bug - only the
> logging error.
> 
> I do not see the quoted error in neither of the logs that you have attached.
> I do see that it is rhev-3.0's vdsm-113.1. Could this be reproduced with
> rhev-3.1's vdsm-4.9.6-17 ? Could this be reproduced at all?
> 
> Please provide a complete vdsm.log, from the editNetork command until the
> error.

It seems that the problem does reproduce on 3.1 (SI7) with rhel ( vdsm-4.9.6-17 ) as well.

see attachment SI7_logs, the interesting part should start with this line

Thread-581::DEBUG::2012-06-25 12:58:51,370::BindingXMLRPC::864::vds::(wrapper) client [10.34.63.65]::call setupNetworks with ({'rhevm': {'nic': 'em1', 'bootproto': 'dhcp', 'bridged': 'true'}}, {}, {'connectivityCheck': 'true', 'connectivityTimeout': 60000}) {} flowID [36a648e3]
Comment 10 Martin Pavlik 2012-06-25 07:15:25 EDT
Created attachment 594160 [details]
SI7_logs
Comment 11 Martin Pavlik 2012-06-25 08:36:52 EDT
Logs from IC156 with rhevh attached as IC156_log
Comment 12 Martin Pavlik 2012-06-25 08:37:19 EDT
Created attachment 594172 [details]
IC156_log

Note You need to log in before you can comment on or make changes to this bug.